---
title: Math.exp()
slug: Web/JavaScript/Reference/Global_Objects/Math/exp
tags:
  - JavaScript
  - Math
  - Method
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Math.exp()</code></strong> function returns <code>e<sup>x</sup></code>, where <code>x</code> is the argument, and <code>e</code> is {{jsxref("Math.E", "Euler's number (also known as Napier's constant)", "", 1)}}, the base of the natural logarithms.</p>

<div>{{EmbedInteractiveExample("pages/js/math-exp.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Math.exp(<var>x</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>x</var></code></dt>
 <dd>A number.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A number representing <code>e<sup><var>x</var></sup></code>, where <code>e</code> is {{jsxref("Math.E", "Euler's number", "", 1)}} and <code><var>x</var></code> is the argument.</p>

<h2 id="Description">Description</h2>

<p>Because <code>exp()</code> is a static method of <code>Math</code>, you always use it as <code>Math.exp()</code>, rather than as a method of a <code>Math</code> object you created (<code>Math</code> is not a constructor).</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_Math.exp">Using Math.exp()</h3>

<pre class="brush: js notranslate">Math.exp(-1); // 0.36787944117144233
Math.exp(0);  // 1
Math.exp(1);  // 2.718281828459045
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-math.exp', 'Math.exp')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Math.exp")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Math.E")}}</li>
 <li>{{jsxref("Math.expm1()")}}</li>
 <li>{{jsxref("Math.log()")}}</li>
 <li>{{jsxref("Math.log10()")}}</li>
 <li>{{jsxref("Math.log1p()")}}</li>
 <li>{{jsxref("Math.log2()")}}</li>
 <li>{{jsxref("Math.pow()")}}</li>
</ul>
